import "./App.css";
import { useAppSelector } from "./store/hooks";
// import { createBrowserRouter, RouterProvider } from "react-router-dom";
import { createHashRouter, RouterProvider } from "react-router-dom";

import ErrorPage from "./page/ErrorPage";
import { MyObservable } from "./context/MyObservable";
import { Observable } from "@babylonjs/core";
import { selectGlassStatus } from "./store/ProductionMonitoringEntity";
import HomePage from "./page/HomePage";

const onGlassObservable = new Observable();

function App() {
  const thisLineGlassStatus = useAppSelector(selectGlassStatus);
  onGlassObservable.notifyObservers(thisLineGlassStatus);

  const router = createHashRouter([
    {
      path: "/",
      element: <HomePage />,
      errorElement: <ErrorPage />,
    },
  ]);

  return (
    <MyObservable.Provider value={onGlassObservable}>
      <div className="background">
        <RouterProvider router={router} />
      </div>
    </MyObservable.Provider>
  );
}

export default App;
