/**
 * @description Clone an object or array
 * @param {Object|Array} object Cloned object
 * @param {Boolean} recursion   Whether to use recursive cloning
 * @return {Object|Array} Clone object
 */
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof2 = _interopRequireDefault(require("@babel/runtime/helpers/typeof"));
export function deepClone(object: any) {
  var recursion =
    arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  if (!object) return object;
  var parse = JSON.parse,
    stringify = JSON.stringify;
  if (!recursion) return parse(stringify(object));
  var clonedObj: any = object instanceof Array ? [] : {};

  if (object && _typeof2["default"](object) === "object") {
    for (var key in object) {
      if (object.hasOwnProperty(key)) {
        if (object[key] && _typeof2["default"](object[key]) === "object") {
          // clonedObj[key] = deepClone(object[key], true);
          clonedObj[key] = deepClone(object[key]);
        } else {
          clonedObj[key] = object[key];
        }
      }
    }
  }

  return clonedObj;
}
