import "./index.css";
import moment from "moment";
import "moment/locale/zh-cn";
import { useState, useEffect } from "react";
function TopTitle() {
  const [date, setDate] = useState<string>(moment().format("YYYY.MM.DD"));
  const [week, setWeek] = useState<string>(
    moment().locale("zh-cn").format("dddd")
  );
  const [time, setTime] = useState<string>(moment().format("HH:mm:ss"));
  useEffect(() => {
    const timer = setInterval(() => {
      setDate(moment().format("YYYY.MM.DD"));
      setWeek(moment().locale("zh-cn").format("dddd"));
      setTime(moment().format("HH:mm:ss"));
    }, 1000);

    return () => clearInterval(timer);
  }, []);
  return (
    <div className="top_block">
      <div className="top_left__title">设计单位：中建材智能自动化研究院</div>
      <div className="top_right__title">
        {date}
        {week} <span className="time">{time}</span>
      </div>
    </div>
  );
}
export default TopTitle;
