import * as echarts from "echarts";
export default function getOptions(xData: any, outputList: any) {
  const colors = ["#1A99FF", "#FFB70C", "#C69DFF", "#50F4E3", "#E02094"];
  if (xData.length === 0 || outputList.length === 0) return null;
  return {
    color: colors,
    grid: { top: 30, right: 20, bottom: 26, left: 48 },
    legend: {
      show: false,
    },
    xAxis: {
      type: "category",
      data: xData,
      axisLabel: {
        color: "rgba(223, 241, 254, 0.8)",
        fontSize: 10,
        interval: 0,
      },
      axisTick: { show: false },
      axisLine: {
        lineStyle: {
          width: 1,
          color: "rgba(69, 97, 174, 1)",
        },
      },
    },
    yAxis: {
      // name: "单位/千片",
      // nameTextStyle: {
      //   color: "",
      //   fontSize: 12,
      // },
      type: "value",
      axisLabel: {
        color: "rgba(223, 241, 254, 0.65)",
        fontSize: 12,
        formatter: "{value}",
      },
      axisLine: {
        show: true,
        lineStyle: {
          width: 1,
          color: "rgba(69, 97, 174, 1)",
        },
      },
      splitLine: {
        lineStyle: {
          width: 1,
          color: "rgba(69, 97, 174, 1)",
        },
      },
    },
    tooltip: {
      trigger: "axis",
      axisPointer: {
        type: "shadow",
      },
      className: "handan-chart-tooltip",
    },
    series: [
      {
        data: outputList,
        type: "bar",
        barWidth: 10,
        label: {
          show: true,
          fontSize: 12,
          color: "#9CD4FF",
          position: "top",
        },
        itemStyle: {
          color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
            { offset: 0, color: "#34C1FF" },
            { offset: 1, color: "#3449FF" },
          ]),
        },
      },
    ],
  };
}
