import ReactECharts from "echarts-for-react";
import TitleBox from "../../Component/TitleBox";
import { useAppSelector } from "../../../../store/hooks";
import { selectDefectsClassDEFECT } from "../../../../store/HomePageSlice";
import getOptions from "./chart.config";
function RightUp() {
  const data = useAppSelector(selectDefectsClassDEFECT);
  // console.log("33333333333333产线缺陷分类", data);
  const colors = [
    "rgb(39, 96, 255)",
    "rgb(91, 155, 255)",
    "rgb(255, 209, 96)",
    "rgb(129, 103, 246)",
    "rgb(153, 214, 108)",
    "rgb(255, 138, 64)",
    "rgb(18, 255, 245)",
  ];
  let keys = [];
  let dataProps: any[] = [];
  if (Object.keys(data).length !== 0) {
    keys = Object.keys(data);
    keys.map((item: any, index) => {
      dataProps.push({ name: item, value: data[item], color: colors[index] });
    });
  }
  //@ts-ignore
  const options = getOptions(dataProps);
  return (
    <div className="left_right_up">
      <TitleBox title="left_right_up" />

      {options && (
        <div style={{ width: "350px", height: "220px", marginTop: "10px" }}>
          {<ReactECharts option={options} style={{ height: "100%" }} />}
        </div>
      )}
      <div className="right_up_legend">
        {dataProps.map((item, index) => {
          return (
            <div className="item" key={index}>
              <span
                className="dot"
                style={{ backgroundColor: item.color }}
              ></span>
              {item.name}
              <span
                style={{
                  color: "rgba(255, 255, 255, 0.70)",
                  display: "inline-block",
                  marginLeft: "10px",
                }}
              >
                {item.value}
              </span>
            </div>
          );
        })}
      </div>
      {!options && (
        <p
          style={{
            color: "#cccf",
            fontSize: "24px",
            userSelect: "none",
            textAlign: "center",
            paddingTop: "72px",
          }}
        >
          暂无数据
        </p>
      )}
    </div>
  );
}
export default RightUp;
