import ReactECharts from "echarts-for-react";
import TitleBox from "../../Component/TitleBox";
import { useAppSelector } from "../../../../store/hooks";
import { selectOutputFUCH } from "../../../../store/HomePageSlice";
import getOptions from "./chart.config";
function LeftDown() {
  const data = useAppSelector(selectOutputFUCH);
  // console.log("7777777777777FUCH产出", data);
  let year = new Date().getFullYear();
  let xData: any = [];
  let outputList: Number[] = [];
  let powerList: Number[] = [];
  let totalOutput;
  let totalPower;
  if (Object.keys(data).length !== 0) {
    xData = Object.keys(data.monthOutput);
    xData.map((item: any) => {
      outputList.push(data.monthOutput[item]);
      powerList.push(data.monthPower[item]);
    });
    totalOutput = data.totalOutput;
    totalPower = data.totalPower;
  }
  const options = getOptions(xData, outputList, powerList);
  return (
    <div className="right_down">
      <TitleBox title="right_left_down" />
      <div className="legend_right">
        <span className="dot2"></span>
        <span>产量</span>
        <span className="dot1"></span>
        <span>功率</span>
      </div>
      <div
        style={{ marginLeft: "40px", marginTop: "10px", marginBottom: "10px" }}
      >
        <div className="top_box" style={{ marginRight: "8px" }}>
          <span className="t1">{year}年总产量：</span>
          <span>
            {totalOutput ? totalOutput : totalOutput === 0 ? totalOutput : "-"}
          </span>
        </div>
        <div className="top_box">
          <span className="t1">{year}年总功率：</span>
          <span>
            {totalPower
              ? totalPower.toFixed(2)
              : totalPower === 0
              ? totalPower
              : "-"}
          </span>
        </div>
      </div>

      {options && (
        <div style={{ height: "400px" }}>
          {<ReactECharts option={options} style={{ height: "100%" }} />}
        </div>
      )}
      {!options && (
        <p
          style={{
            color: "#cccf",
            fontSize: "24px",
            userSelect: "none",
            textAlign: "center",
            paddingTop: "72px",
          }}
        >
          暂无数据
        </p>
      )}
    </div>
  );
}
export default LeftDown;
