import ReactECharts from "echarts-for-react";
import TitleBox from "../../Component/TitleBox";
import { useAppSelector } from "../../../../store/hooks";
import { selectPowerDistributionpow } from "../../../../store/HomePageSlice";
import getOptions from "./chart.config";
function LeftUp() {
  const data = useAppSelector(selectPowerDistributionpow);
  // console.log("66666666666FUCH功率分布", data);
  let xData: any = [];
  let outputList: Number[] = [];
  let rateList: Number[] = [];
  if (Object.keys(data).length !== 0) {
    xData = Object.keys(data.rate);
    xData.map((item: any) => {
      outputList.push(data.output[item]);
      rateList.push(data.rate[item] * 100);
    });
  }
  const options = getOptions(xData, outputList, rateList);
  return (
    <div className="right_up">
      <TitleBox title="right_left_up" />
      <div className="legend_right">
        <span className="dot2"></span>
        <span>产量</span>
        <span className="dot1"></span>
        <span>占比</span>
      </div>
      {options && (
        <div style={{ height: "330px", marginTop: "10px" }}>
          <ReactECharts option={options} style={{ height: "100%" }} />
        </div>
      )}
      {!options && (
        <p
          style={{
            color: "#cccf",
            fontSize: "24px",
            userSelect: "none",
            textAlign: "center",
            paddingTop: "72px",
          }}
        >
          暂无数据
        </p>
      )}
    </div>
  );
}
export default LeftUp;
