import {createSlice} from "@reduxjs/toolkit";
import type {RootState} from "./store";

const initialState = {
  LineID: 1,
}

export const ChangeLineID = createSlice({
  name: 'ChangeLineID',
  initialState,
  reducers: {
    UpdateChangeLineID: (state, action) => {
      switch (action.payload) {
        case '1':
          state.LineID = 1;
          break;
        case '2':
          state.LineID = 2;
          break;
        case '3':
          state.LineID = 3;
          break;
        case '4':
          state.LineID = 4;
          break;
        default:
          state.LineID = 1;
          break
      }
    },
  }
})

export const {UpdateChangeLineID} = ChangeLineID.actions;
export const selectChangeLineID = (state: RootState) => state.ChangeLineID.LineID;

export default ChangeLineID.reducer;