import {createSlice} from "@reduxjs/toolkit";
import type {RootState} from "./store";

export interface EquStatusInterface {
  CleanAfterEdge1_1: number
  CleanAfterEdge1_2: number
  CleanAfterEdge2_1: number
  CleanAfterEdge2_2: number
  CleanAfterEdge3_1: number
  CleanAfterEdge3_2: number
  CleanAfterEdge4_1: number
  CleanAfterEdge4_2: number
  CleanAfterTemper1_1: number
  CleanAfterTemper2_1: number
  CleanAfterTemper3_1: number
  CleanAfterTemper4_1: number
  CleanBeforCoat1_1: number
  CleanBeforCoat1_2: number
  CleanBeforCoat4_1: number
  CleanBeforCoat4_2: number
  Edge1_1: number
  Edge1_2: number
  Edge2_1: number
  Edge2_2: number
  Edge3_1: number
  Edge3_2: number
  Edge4_1: number
  Edge4_2: number
  FirstCoat1_1: number
  FirstCoat1_2: number
  FirstCoat2_1: number
  FirstCoat2_2: number
  FirstCoat3_1: number
  FirstCoat3_2: number
  FirstCoat4_1: number
  FirstCoat4_2: number
  Punch1_1: number
  Punch1_2: number
  Punch4_1: number
  Punch4_2: number
  SecondCoat1_1: number
  SecondCoat1_2: number
  SecondCoat2_1: number
  SecondCoat2_2: number
  SecondCoat3_1: number
  SecondCoat3_2: number
  SecondCoat4_1: number
  SecondCoat4_2: number
  Temper1_1: number
  Temper2_1: number
  Temper3_1: number
  Temper4_1: number
  Unload1_1: number
  Unload1_2: number
  Unload2_1: number
  Unload2_2: number
  Unload3_1: number
  Unload3_2: number
  Unload4_1: number
  Unload4_2: number
}

const initialState: EquStatusInterface = {
  CleanAfterEdge1_1: 0,
  CleanAfterEdge1_2: 0,
  CleanAfterEdge2_1: 0,
  CleanAfterEdge2_2: 0,
  CleanAfterEdge3_1: 0,
  CleanAfterEdge3_2: 0,
  CleanAfterEdge4_1: 0,
  CleanAfterEdge4_2: 0,
  CleanAfterTemper1_1: 0,
  CleanAfterTemper2_1: 0,
  CleanAfterTemper3_1: 0,
  CleanAfterTemper4_1: 0,
  CleanBeforCoat1_1: 0,
  CleanBeforCoat1_2: 0,
  CleanBeforCoat4_1: 0,
  CleanBeforCoat4_2: 0,
  Edge1_1: 0,
  Edge1_2: 0,
  Edge2_1: 0,
  Edge2_2: 0,
  Edge3_1: 0,
  Edge3_2: 0,
  Edge4_1: 0,
  Edge4_2: 0,
  FirstCoat1_1: 0,
  FirstCoat1_2: 0,
  FirstCoat2_1: 0,
  FirstCoat2_2: 0,
  FirstCoat3_1: 0,
  FirstCoat3_2: 0,
  FirstCoat4_1: 0,
  FirstCoat4_2: 0,
  Punch1_1: 0,
  Punch1_2: 0,
  Punch4_1: 0,
  Punch4_2: 0,
  SecondCoat1_1: 0,
  SecondCoat1_2: 0,
  SecondCoat2_1: 0,
  SecondCoat2_2: 0,
  SecondCoat3_1: 0,
  SecondCoat3_2: 0,
  SecondCoat4_1: 0,
  SecondCoat4_2: 0,
  Temper1_1: 0,
  Temper2_1: 0,
  Temper3_1: 0,
  Temper4_1: 0,
  Unload1_1: 0,
  Unload1_2: 0,
  Unload2_1: 0,
  Unload2_2: 0,
  Unload3_1: 0,
  Unload3_2: 0,
  Unload4_1: 0,
  Unload4_2: 0
}
export const EquStatusEntity = createSlice({
  name: 'EquStatusEntity',
  initialState,
  reducers: {
    UpdateEquStatus: (state, action) => {
      const JsonData = action.payload;
      state.CleanAfterEdge1_1 = JsonData['CleanAfterEdge1-1'].status;
      state.CleanAfterEdge1_2 = JsonData['CleanAfterEdge1-2'].status;
      state.CleanAfterEdge2_1 = JsonData['CleanAfterEdge2-1'].status;
      state.CleanAfterEdge2_2 = JsonData['CleanAfterEdge2-2'].status;
      state.CleanAfterEdge3_1 = JsonData['CleanAfterEdge3-1'].status;
      state.CleanAfterEdge3_2 = JsonData['CleanAfterEdge3-2'].status;
      state.CleanAfterEdge4_1 = JsonData['CleanAfterEdge4-1'].status;
      state.CleanAfterEdge4_2 = JsonData['CleanAfterEdge4-2'].status;
      state.CleanAfterTemper1_1 = JsonData['CleanAfterTemper1-1'].status;
      state.CleanAfterTemper2_1 = JsonData['CleanAfterTemper2-1'].status;
      state.CleanAfterTemper3_1 = JsonData['CleanAfterTemper3-1'].status;
      state.CleanAfterTemper4_1 = JsonData['CleanAfterTemper4-1'].status;
      state.CleanBeforCoat1_1 = JsonData['CleanBeforCoat1-1'].status;
      state.CleanBeforCoat1_2 = JsonData['CleanBeforCoat1-2'].status;
      state.CleanBeforCoat4_1 = JsonData['CleanBeforCoat4-1'].status;
      state.CleanBeforCoat4_2 = JsonData['CleanBeforCoat4-2'].status;
      state.Edge1_1 = JsonData['Edge1-1'].status;
      state.Edge1_2 = JsonData['Edge1-2'].status;
      state.Edge2_1 = JsonData['Edge2-1'].status;
      state.Edge2_2 = JsonData['Edge2-2'].status;
      state.Edge3_1 = JsonData['Edge3-1'].status;
      state.Edge3_2 = JsonData['Edge3-2'].status;
      state.Edge4_1 = JsonData['Edge4-1'].status;
      state.Edge4_2 = JsonData['Edge4-2'].status;
      state.FirstCoat1_1 = JsonData['FirstCoat1-1'].status;
      state.FirstCoat1_2 = JsonData['FirstCoat1-2'].status;
      state.FirstCoat2_1 = JsonData['FirstCoat2-1'].status;
      state.FirstCoat2_2 = JsonData['FirstCoat2-2'].status;
      state.FirstCoat3_1 = JsonData['FirstCoat3-1'].status;
      state.FirstCoat3_2 = JsonData['FirstCoat3-2'].status;
      state.FirstCoat4_1 = JsonData['FirstCoat4-1'].status;
      state.FirstCoat4_2 = JsonData['FirstCoat4-2'].status;
      state.Punch1_1 = JsonData['Punch1-1'].status;
      state.Punch1_2 = JsonData['Punch1-2'].status;
      state.Punch4_1 = JsonData['Punch4-1'].status;
      state.Punch4_2 = JsonData['Punch4-2'].status;
      state.SecondCoat1_1 = JsonData['SecondCoat1-1'].status;
      state.SecondCoat1_2 = JsonData['SecondCoat1-2'].status;
      state.SecondCoat2_1 = JsonData['SecondCoat2-1'].status;
      state.SecondCoat2_2 = JsonData['SecondCoat2-2'].status;
      state.SecondCoat3_1 = JsonData['SecondCoat3-1'].status;
      state.SecondCoat3_2 = JsonData['SecondCoat3-2'].status;
      state.SecondCoat4_1 = JsonData['SecondCoat4-1'].status;
      state.SecondCoat4_2 = JsonData['SecondCoat4-2'].status;
      state.Temper1_1 = JsonData['Temper1-1'].status;
      state.Temper2_1 = JsonData['Temper2-1'].status;
      state.Temper3_1 = JsonData['Temper3-1'].status;
      state.Temper4_1 = JsonData['Temper4-1'].status;
      state.Unload1_1 = JsonData['Unload1-1'].status;
      state.Unload1_2 = JsonData['Unload1-2'].status;
      state.Unload2_1 = JsonData['Unload2-1'].status;
      state.Unload2_2 = JsonData['Unload2-2'].status;
      state.Unload3_1 = JsonData['Unload3-1'].status;
      state.Unload3_2 = JsonData['Unload3-2'].status;
      state.Unload4_1 = JsonData['Unload4-1'].status;
      state.Unload4_2 = JsonData['Unload4-2'].status;
    }
  }
})

export const {UpdateEquStatus} = EquStatusEntity.actions;

export const selectEquStatus = (state: RootState) => state.EquStatusEntity;

export default EquStatusEntity.reducer;