import { useState } from "react";
import axios from "axios";
import {
  UpdateEqRateAVA,
  UpdateOrderCompletionWO,
  UpdateDefectsClassDEFECT,
  UpdateProductionBarChart,
  UpdateTempAndHumidityTEMP,
  UpdatePowerDistributionpow,
  UpdateOutputFUCH,
  UpdateOutputMsgBOX,
  UpdateYield,
} from "./HomePageSlice";
import { useAppDispatch } from "./hooks";

function UpdateData() {
  // const [myUrl, setUrl] = useState("");
  // axios.get("/wsconfig.json").then((r) => {
  //   setUrl(r.data.url);
  // });
  const myUrl = window.location.host;
  let websocketHome = null;
  if ("WebSocket" in window) {
    websocketHome = new WebSocket(
      "ws://" + myUrl + "/websocket/message?userId=DC" + new Date().getTime()
    );
    //连接成功建立的回调方法
  } else {
    alert("Not support websocket");
  }
  // @ts-ignore
  websocketHome.onopen = function (event) {
    console.log("websocketHome-open");
  };
  interface MsgDataType {
    type: string;
  }
  // const [msgData, setMsgData] = useState<MsgDataType | null>(null);
  //接收到消息的回调方法
  // @ts-ignore
  websocketHome.onmessage = function (event) {
    // console.log("接收到消息：", event);
    let msgData: MsgDataType = { type: "example" };
    try {
      msgData = JSON.parse(event.data);
    } catch (error) {
      console.log("websocket: [unable to msgData] :  ", event.data);
    }
    if (!msgData) return;
    switch (msgData?.type) {
      case "AVA": {
        // 设备稼动率
        // @ts-ignore
        dispatch(UpdateEqRateAVA(msgData.data));
        break;
      }
      case "WO": {
        // 封装工单完成情况
        // @ts-ignore
        dispatch(UpdateOrderCompletionWO(msgData.data));
        break;
      }
      case "DEFECT": {
        // 产线缺陷分类
        // @ts-ignore
        dispatch(UpdateDefectsClassDEFECT(msgData.data));
        break;
      }
      case "OUT": {
        // 产量柱状图
        // @ts-ignore
        dispatch(UpdateProductionBarChart(msgData.data));
        break;
      }
      case "TEMP": {
        // 温湿度
        // @ts-ignore
        dispatch(UpdateTempAndHumidityTEMP(msgData.data));
        break;
      }
      case "POW": {
        // FUCH功率分布
        // @ts-ignore
        dispatch(UpdatePowerDistributionpow(msgData.data));
        break;
      }
      case "FUCH": {
        // FUCH产出
        // @ts-ignore
        dispatch(UpdateOutputFUCH(msgData));
        break;
      }
      case "BOX": {
        // 下片分档信息
        // @ts-ignore
        dispatch(UpdateOutputMsgBOX(msgData.data));
        break;
      }
      case "YIELD": {
        // 前中后段良率
        // @ts-ignore
        dispatch(UpdateYield(msgData.data));
        break;
      }
      default:
    }
  };
  const dispatch = useAppDispatch();
  return null;
}

export default UpdateData;
