import { configureStore } from "@reduxjs/toolkit";
import ProductionMonitoringEntityReducer from "./ProductionMonitoringEntity";
import ChangeLineIDReducer from "./ChangeLineID";
// import QualityMonitorEntityReducer from "./QualityMonitorEntity";
import EquStatusEntityReducer, { EquStatusEntity } from "./EquStatusEntity";
import HomePageReducer from "./HomePageSlice";

export const store = configureStore({
  reducer: {
    ProductionMonitoringEntity: ProductionMonitoringEntityReducer,
    ChangeLineID: ChangeLineIDReducer,
    // QualityMonitorEntity: QualityMonitorEntityReducer,
    EquStatusEntity: EquStatusEntityReducer,
    HomePageSlice: HomePageReducer,
  },
});

export type AppDispatch = typeof store.dispatch;
export type RootState = ReturnType<typeof store.getState>;
